Subject: [Megaco] tone direction iin alerting package

From: "kumar" <[email-masked]>
Date: 17 Feb 2004 04:06:32 -0000

Hi All,
   I have few questions. While I was going through Enhanced Alerting Package, I came accross the signal parameter Tone Direction. As per the document it indicates the direction the signal shall proceed w.r.t. to the center of the context. What does this context refer to ? Is it the context created during the add command ? Can anyone explain me clearly?

   My other question is regarding BER encoding. In rfc3525 does not mention which Type class we need to use.I am using Context specific class. But some other implementors are using Universal type. Is my decoder should able to decode  both classes?
  
   I saw the differences between rfc3015 and rfc3525. Some mandatory parameters in rfc3015 are made optional in 3525. Both are defined with version 1. How do they communicate each other as MG with 3015 expects some mandatory parameter?

Thanks,
Kumar